class Vehicle:
    def __init__(self, wheels, max_speed, acceleration, breaks_acceleration, brand, model):
        self.wheels = wheels
        self.max_speed = max_speed
        self.acceleration = acceleration
        self.breaks_acceleration = breaks_acceleration
        self.current_speed = 0
        self.brand = brand
        self.model = model

    def accelerator(self, target_speed):
        while self.current_speed < target_speed and self.current_speed < self.max_speed:
            self.current_speed += self.acceleration
        self.speedometer()

    def breaks(self, target_speed=0):
        while self.current_speed > 0 and self.current_speed > target_speed:
            self.current_speed -= self.breaks_acceleration
        self.speedometer()

    def speedometer(self):
        print("{}, {}: {} kmph".format(self.brand, self.model, self.current_speed))

    def honk(self):
        print("HONK!")


class Car(Vehicle):
    def __init__(self):
        Vehicle.__init__(self, 4, 130, 10, 30, "Ford", "Focus")

    def accelerator(self, target_speed=0):
        super().accelerator(target_speed + 10)


class Bus(Vehicle):
    def __init__(self):
        Vehicle.__init__(self, 4, 80, 5, 50, "Mercedes", "Don't Know any model of bus")

    def breaks(self, target_speed=0):
        print("SUPER AWESOME BREAKS!")
        self.current_speed = target_speed
        self.speedometer()

if __name__ == '__main__':
    bus = Bus()
    car = Car()
    car.accelerator(40)
    bus.accelerator(40)
    car.breaks(20)
    bus.honk()
    car.accelerator(40)
    bus.breaks(0)
